Loading...
Searching...
No Matches
object.h File Reference
`#include "zone.h"`
`#include <stdio.h>`
Include dependency graph for object.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | msgpack_object_array
struct | msgpack_object_map
struct | msgpack_object_str
struct | msgpack_object_bin
struct | msgpack_object_ext
union | msgpack_object_union
struct | msgpack_object
struct | msgpack_object_kv

## Typedefs

typedef struct msgpack_object | msgpack_object
typedef struct msgpack_object_kv | msgpack_object_kv

## Enumerations

enum

msgpack_object_type {
MSGPACK_OBJECT_NIL = 0x00 , MSGPACK_OBJECT_BOOLEAN = 0x01 , MSGPACK_OBJECT_POSITIVE_INTEGER = 0x02 , MSGPACK_OBJECT_NEGATIVE_INTEGER = 0x03 ,
MSGPACK_OBJECT_FLOAT32 = 0x0a , MSGPACK_OBJECT_FLOAT64 = 0x04 , MSGPACK_OBJECT_FLOAT = 0x04 , MSGPACK_OBJECT_STR = 0x05 ,
MSGPACK_OBJECT_ARRAY = 0x06 , MSGPACK_OBJECT_MAP = 0x07 , MSGPACK_OBJECT_BIN = 0x08 , MSGPACK_OBJECT_EXT = 0x09
}

## Functions

MSGPACK_DLLEXPORT void | msgpack_object_print (FILE *out, msgpack_object o)
MSGPACK_DLLEXPORT int | msgpack_object_print_buffer (char *buffer, size_t buffer_size, msgpack_object o)
MSGPACK_DLLEXPORT bool | msgpack_object_equal (const msgpack_object x, const msgpack_object y)